DMAC_CHEVCTRL_Type Union Reference

## Data Fields

struct {
uint8_t EVACT:3
uint8_t __pad0__:1
uint8_t EVOMODE:2
uint8_t EVIE:1
uint8_t EVOE:1
} | bit
uint8_t | reg

## Detailed Description

Definition at line 1044 of file dmac.h.

## Field Documentation

## __pad0__

uint8_t DMAC_CHEVCTRL_Type::__pad0__

bit: 3 Reserved

Definition at line 1047 of file dmac.h.

## bit

struct { ... } DMAC_CHEVCTRL_Type::bit

Structure used for bit access

## EVACT

uint8_t DMAC_CHEVCTRL_Type::EVACT

bit: 0.. 2 Channel Event Input Action

Definition at line 1046 of file dmac.h.

## EVIE

uint8_t DMAC_CHEVCTRL_Type::EVIE

bit: 6 Channel Event Input Enable

Definition at line 1049 of file dmac.h.

## EVOE

uint8_t DMAC_CHEVCTRL_Type::EVOE

bit: 7 Channel Event Output Enable

Definition at line 1050 of file dmac.h.

## EVOMODE

uint8_t DMAC_CHEVCTRL_Type::EVOMODE

bit: 4.. 5 Channel Event Output Mode

Definition at line 1048 of file dmac.h.

## reg

uint8_t DMAC_CHEVCTRL_Type::reg

Type used for register access

Definition at line 1052 of file dmac.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/dmac.h